MojoMojo::Model::Search(3)

NAME
MojoMojo::Model::Search - support for searching pages

METHODS

  indexer
Index the search data

  searcher
Used by search() to do the grunt work.

  prepare_search_index
Create a new search index from all pages in the database. Will do nothing if the index already exists.

  index_page <page>
Create/update the search index with data from a MojoMojo page when it changes.

  search
Search for a term or phrase.

  delete_page <page>
Removes a page from the search index.

AUTHOR
Marcus Ramberg <mramberg@cpan.org>

LICENSE
This library is free software. You can redistribute it and/or modify it under the same terms as Perl itself.